public class CreateGalleryImage extends Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>
| Modifier and Type | Class and Description |
|---|---|
static class |
CreateGalleryImage.CreateGalleryImageRequest
Represents the request data for this endpoint.
|
| Constructor and Description |
|---|
CreateGalleryImage(HttpClient client,
com.google.gson.Gson gson)
Creates a new instance of the endpoint.
|
| Modifier and Type | Method and Description |
|---|---|
String |
getEndpoint()
Gets the endpoint of the request.
|
String |
getMethod()
Gets the method of the request.
|
com.google.gson.reflect.TypeToken<CreateGalleryImage.CreateGalleryImageRequest> |
getRequestClass()
Returns the class of the request.
|
com.google.gson.reflect.TypeToken<EmptyResponse> |
getResponseClass()
Returns the class of the response.
|
CompletableFuture<EmptyResponse> |
sendRequest(CreateGalleryImage.CreateGalleryImageRequest parameters,
Map<String,String> urlParams)
Gets the type token of the response.
|
checkBodyForErrors, executeRequest, getReplacedUrl, isJsonBody, readFile, readStream, requiresBody, sendRequestpublic CreateGalleryImage(HttpClient client, com.google.gson.Gson gson)
client - - The client to use.gson - - The gson instance to use.public String getEndpoint()
getEndpoint in class Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>public String getMethod()
getMethod in class Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>public CompletableFuture<EmptyResponse> sendRequest(CreateGalleryImage.CreateGalleryImageRequest parameters, Map<String,String> urlParams)
sendRequest in class Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>parameters - - The request to use.urlParams - - The URL parameters to use.public com.google.gson.reflect.TypeToken<CreateGalleryImage.CreateGalleryImageRequest> getRequestClass()
getRequestClass in class Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>TypeToken of the request.public com.google.gson.reflect.TypeToken<EmptyResponse> getResponseClass()
getResponseClass in class Endpoint<EmptyResponse,CreateGalleryImage.CreateGalleryImageRequest>TypeToken of the response.Copyright © 2026. All rights reserved.